diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/realtime/realtime-udp-echo.py ns-3.42/examples/realtime/realtime-udp-echo.py
--- ns-3.41/examples/realtime/realtime-udp-echo.py	2024-02-09 14:44:07.833789600 -0800
+++ ns-3.42/examples/realtime/realtime-udp-echo.py	2024-05-29 15:29:46.908073000 -0700
@@ -38,43 +38,41 @@
     # Allow the user to override any of the defaults and the above Bind() at
     # run-time, via command-line arguments
     #
-    cmd = ns.core.CommandLine()
+    cmd = ns.CommandLine()
     cmd.Parse(argv)
 
     #
     # But since this is a realtime script, don't allow the user to mess with
     # that.
     #
-    ns.core.GlobalValue.Bind(
-        "SimulatorImplementationType", ns.core.StringValue("ns3::RealtimeSimulatorImpl")
-    )
+    ns.GlobalValue.Bind("SimulatorImplementationType", ns.StringValue("ns3::RealtimeSimulatorImpl"))
 
     #
     # Explicitly create the nodes required by the topology (shown above).
     #
     print("Create nodes.")
-    n = ns.network.NodeContainer()
+    n = ns.NodeContainer()
     n.Create(4)
 
-    internet = ns.internet.InternetStackHelper()
+    internet = ns.InternetStackHelper()
     internet.Install(n)
 
     #
     # Explicitly create the channels required by the topology (shown above).
     #
     print("Create channels.")
-    csma = ns.csma.CsmaHelper()
-    csma.SetChannelAttribute("DataRate", ns.network.DataRateValue(ns.network.DataRate(5000000)))
-    csma.SetChannelAttribute("Delay", ns.core.TimeValue(ns.core.MilliSeconds(2)))
-    csma.SetDeviceAttribute("Mtu", ns.core.UintegerValue(1400))
+    csma = ns.CsmaHelper()
+    csma.SetChannelAttribute("DataRate", ns.DataRateValue(ns.DataRate(5000000)))
+    csma.SetChannelAttribute("Delay", ns.TimeValue(ns.MilliSeconds(2)))
+    csma.SetDeviceAttribute("Mtu", ns.UintegerValue(1400))
     d = csma.Install(n)
 
     #
     # We've got the "hardware" in place.  Now we need to add IP addresses.
     #
     print("Assign IP Addresses.")
-    ipv4 = ns.internet.Ipv4AddressHelper()
-    ipv4.SetBase(ns.network.Ipv4Address("10.1.1.0"), ns.network.Ipv4Mask("255.255.255.0"))
+    ipv4 = ns.Ipv4AddressHelper()
+    ipv4.SetBase(ns.Ipv4Address("10.1.1.0"), ns.Ipv4Mask("255.255.255.0"))
     i = ipv4.Assign(d)
 
     print("Create Applications.")
@@ -83,10 +81,10 @@
     # Create a UdpEchoServer application on node one.
     #
     port = 9  # well-known echo port number
-    server = ns.applications.UdpEchoServerHelper(port)
+    server = ns.UdpEchoServerHelper(port)
     apps = server.Install(n.Get(1))
-    apps.Start(ns.core.Seconds(1.0))
-    apps.Stop(ns.core.Seconds(10.0))
+    apps.Start(ns.Seconds(1.0))
+    apps.Stop(ns.Seconds(10.0))
 
     #
     # Create a UdpEchoClient application to send UDP datagrams from node zero to
@@ -94,16 +92,16 @@
     #
     packetSize = 1024
     maxPacketCount = 500
-    interPacketInterval = ns.core.Seconds(0.01)
-    client = ns.applications.UdpEchoClientHelper(i.GetAddress(1).ConvertTo(), port)
-    client.SetAttribute("MaxPackets", ns.core.UintegerValue(maxPacketCount))
-    client.SetAttribute("Interval", ns.core.TimeValue(interPacketInterval))
-    client.SetAttribute("PacketSize", ns.core.UintegerValue(packetSize))
+    interPacketInterval = ns.Seconds(0.01)
+    client = ns.UdpEchoClientHelper(i.GetAddress(1).ConvertTo(), port)
+    client.SetAttribute("MaxPackets", ns.UintegerValue(maxPacketCount))
+    client.SetAttribute("Interval", ns.TimeValue(interPacketInterval))
+    client.SetAttribute("PacketSize", ns.UintegerValue(packetSize))
     apps = client.Install(n.Get(0))
-    apps.Start(ns.core.Seconds(2.0))
-    apps.Stop(ns.core.Seconds(10.0))
+    apps.Start(ns.Seconds(2.0))
+    apps.Stop(ns.Seconds(10.0))
 
-    ascii = ns.network.AsciiTraceHelper()
+    ascii = ns.AsciiTraceHelper()
     csma.EnableAsciiAll(ascii.CreateFileStream("realtime-udp-echo.tr"))
     csma.EnablePcapAll("realtime-udp-echo", False)
 
@@ -111,9 +109,9 @@
     # Now, do the actual simulation.
     #
     print("Run Simulation.")
-    ns.core.Simulator.Stop(ns.Seconds(10))
-    ns.core.Simulator.Run()
-    ns.core.Simulator.Destroy()
+    ns.Simulator.Stop(ns.Seconds(10))
+    ns.Simulator.Run()
+    ns.Simulator.Destroy()
     print("Done.")
 
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/routing/ripng-simple-network.cc ns-3.42/examples/routing/ripng-simple-network.cc
--- ns-3.41/examples/routing/ripng-simple-network.cc	2024-02-09 14:44:07.837789500 -0800
+++ ns-3.42/examples/routing/ripng-simple-network.cc	2024-05-29 15:29:46.908073000 -0700
@@ -82,7 +82,7 @@
     cmd.AddValue("printRoutingTables",
                  "Print routing tables at 30, 60 and 90 seconds",
                  printRoutingTables);
-    cmd.AddValue("showPings", "Show Ping6 reception", showPings);
+    cmd.AddValue("showPings", "Show Ping reception", showPings);
     cmd.AddValue("splitHorizonStrategy",
                  "Split Horizon strategy to use (NoSplitHorizon, SplitHorizon, PoisonReverse)",
                  SplitHorizon);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/routing/rip-simple-network.cc ns-3.42/examples/routing/rip-simple-network.cc
--- ns-3.41/examples/routing/rip-simple-network.cc	2024-02-09 14:44:07.837789500 -0800
+++ ns-3.42/examples/routing/rip-simple-network.cc	2024-05-29 15:29:46.908073000 -0700
@@ -82,7 +82,7 @@
     cmd.AddValue("printRoutingTables",
                  "Print routing tables at 30, 60 and 90 seconds",
                  printRoutingTables);
-    cmd.AddValue("showPings", "Show Ping6 reception", showPings);
+    cmd.AddValue("showPings", "Show Ping reception", showPings);
     cmd.AddValue("splitHorizonStrategy",
                  "Split Horizon strategy to use (NoSplitHorizon, SplitHorizon, PoisonReverse)",
                  SplitHorizon);
@@ -102,15 +102,15 @@
 
     if (SplitHorizon == "NoSplitHorizon")
     {
-        Config::SetDefault("ns3::Rip::SplitHorizon", EnumValue(RipNg::NO_SPLIT_HORIZON));
+        Config::SetDefault("ns3::Rip::SplitHorizon", EnumValue(Rip::NO_SPLIT_HORIZON));
     }
     else if (SplitHorizon == "SplitHorizon")
     {
-        Config::SetDefault("ns3::Rip::SplitHorizon", EnumValue(RipNg::SPLIT_HORIZON));
+        Config::SetDefault("ns3::Rip::SplitHorizon", EnumValue(Rip::SPLIT_HORIZON));
     }
     else
     {
-        Config::SetDefault("ns3::Rip::SplitHorizon", EnumValue(RipNg::POISON_REVERSE));
+        Config::SetDefault("ns3::Rip::SplitHorizon", EnumValue(Rip::POISON_REVERSE));
     }
 
     NS_LOG_INFO("Create nodes.");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/routing/simple-routing-ping6.py ns-3.42/examples/routing/simple-routing-ping6.py
--- ns-3.41/examples/routing/simple-routing-ping6.py	2024-02-09 14:44:07.837789500 -0800
+++ ns-3.42/examples/routing/simple-routing-ping6.py	2024-05-29 15:29:46.908073000 -0700
@@ -58,7 +58,7 @@
     internetv6.Install(all)
 
     # Create channels
-    csma = ns.csma.CsmaHelper()
+    csma = ns.CsmaHelper()
     csma.SetChannelAttribute("DataRate", ns.DataRateValue(ns.DataRate(5000000)))
     csma.SetChannelAttribute("Delay", ns.TimeValue(ns.MilliSeconds(2)))
     d1 = csma.Install(net1)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/traffic-control/tbf-example.cc ns-3.42/examples/traffic-control/tbf-example.cc
--- ns-3.41/examples/traffic-control/tbf-example.cc	2024-02-09 14:44:07.841789700 -0800
+++ ns-3.42/examples/traffic-control/tbf-example.cc	2024-05-29 15:29:46.912073100 -0700
@@ -133,9 +133,9 @@
     ApplicationContainer apps;
 
     InetSocketAddress rmt(interfaces.GetAddress(0), port);
-    rmt.SetTos(0xb8);
-    AddressValue remoteAddress(rmt);
-    onoff.SetAttribute("Remote", remoteAddress);
+    onoff.SetAttribute("Remote", AddressValue(rmt));
+    onoff.SetAttribute("Tos", UintegerValue(0xb8));
+
     apps.Add(onoff.Install(nodes.Get(1)));
     apps.Start(Seconds(1.0));
     apps.Stop(Seconds(simulationTime + 0.1));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/traffic-control/traffic-control.cc ns-3.42/examples/traffic-control/traffic-control.cc
--- ns-3.41/examples/traffic-control/traffic-control.cc	2024-02-09 14:44:07.841789700 -0800
+++ ns-3.42/examples/traffic-control/traffic-control.cc	2024-05-29 15:29:46.912073100 -0700
@@ -174,9 +174,8 @@
     ApplicationContainer apps;
 
     InetSocketAddress rmt(interfaces.GetAddress(0), port);
-    rmt.SetTos(0xb8);
-    AddressValue remoteAddress(rmt);
-    onoff.SetAttribute("Remote", remoteAddress);
+    onoff.SetAttribute("Remote", AddressValue(rmt));
+    onoff.SetAttribute("Tos", UintegerValue(0xb8));
     apps.Add(onoff.Install(nodes.Get(1)));
     apps.Start(Seconds(1.0));
     apps.Stop(Seconds(simulationTime + 0.1));
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/tutorial/first.py ns-3.42/examples/tutorial/first.py
--- ns-3.41/examples/tutorial/first.py	2024-02-09 14:44:07.841789700 -0800
+++ ns-3.42/examples/tutorial/first.py	2024-05-29 15:29:46.912073100 -0700
@@ -29,41 +29,41 @@
 # //    point-to-point
 # //
 
-ns.core.LogComponentEnable("UdpEchoClientApplication", ns.core.LOG_LEVEL_INFO)
-ns.core.LogComponentEnable("UdpEchoServerApplication", ns.core.LOG_LEVEL_INFO)
+ns.LogComponentEnable("UdpEchoClientApplication", ns.LOG_LEVEL_INFO)
+ns.LogComponentEnable("UdpEchoServerApplication", ns.LOG_LEVEL_INFO)
 
-nodes = ns.network.NodeContainer()
+nodes = ns.NodeContainer()
 nodes.Create(2)
 
-pointToPoint = ns.point_to_point.PointToPointHelper()
-pointToPoint.SetDeviceAttribute("DataRate", ns.core.StringValue("5Mbps"))
-pointToPoint.SetChannelAttribute("Delay", ns.core.StringValue("2ms"))
+pointToPoint = ns.PointToPointHelper()
+pointToPoint.SetDeviceAttribute("DataRate", ns.StringValue("5Mbps"))
+pointToPoint.SetChannelAttribute("Delay", ns.StringValue("2ms"))
 
 devices = pointToPoint.Install(nodes)
 
-stack = ns.internet.InternetStackHelper()
+stack = ns.InternetStackHelper()
 stack.Install(nodes)
 
-address = ns.internet.Ipv4AddressHelper()
-address.SetBase(ns.network.Ipv4Address("10.1.1.0"), ns.network.Ipv4Mask("255.255.255.0"))
+address = ns.Ipv4AddressHelper()
+address.SetBase(ns.Ipv4Address("10.1.1.0"), ns.Ipv4Mask("255.255.255.0"))
 
 interfaces = address.Assign(devices)
 
-echoServer = ns.applications.UdpEchoServerHelper(9)
+echoServer = ns.UdpEchoServerHelper(9)
 
 serverApps = echoServer.Install(nodes.Get(1))
-serverApps.Start(ns.core.Seconds(1.0))
-serverApps.Stop(ns.core.Seconds(10.0))
+serverApps.Start(ns.Seconds(1.0))
+serverApps.Stop(ns.Seconds(10.0))
 
 address = interfaces.GetAddress(1).ConvertTo()
-echoClient = ns.applications.UdpEchoClientHelper(address, 9)
-echoClient.SetAttribute("MaxPackets", ns.core.UintegerValue(1))
-echoClient.SetAttribute("Interval", ns.core.TimeValue(ns.core.Seconds(1.0)))
-echoClient.SetAttribute("PacketSize", ns.core.UintegerValue(1024))
+echoClient = ns.UdpEchoClientHelper(address, 9)
+echoClient.SetAttribute("MaxPackets", ns.UintegerValue(1))
+echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1.0)))
+echoClient.SetAttribute("PacketSize", ns.UintegerValue(1024))
 
 clientApps = echoClient.Install(nodes.Get(0))
-clientApps.Start(ns.core.Seconds(2.0))
-clientApps.Stop(ns.core.Seconds(10.0))
+clientApps.Start(ns.Seconds(2.0))
+clientApps.Stop(ns.Seconds(10.0))
 
-ns.core.Simulator.Run()
-ns.core.Simulator.Destroy()
+ns.Simulator.Run()
+ns.Simulator.Destroy()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/tutorial/second.py ns-3.42/examples/tutorial/second.py
--- ns-3.41/examples/tutorial/second.py	2024-02-09 14:44:07.841789700 -0800
+++ ns-3.42/examples/tutorial/second.py	2024-05-29 15:29:46.912073100 -0700
@@ -43,61 +43,59 @@
 cmd.Parse(sys.argv)
 
 if verbose.value:
-    ns.core.LogComponentEnable("UdpEchoClientApplication", ns.core.LOG_LEVEL_INFO)
-    ns.core.LogComponentEnable("UdpEchoServerApplication", ns.core.LOG_LEVEL_INFO)
+    ns.LogComponentEnable("UdpEchoClientApplication", ns.LOG_LEVEL_INFO)
+    ns.LogComponentEnable("UdpEchoServerApplication", ns.LOG_LEVEL_INFO)
 nCsma.value = 1 if nCsma.value == 0 else nCsma.value
 
-p2pNodes = ns.network.NodeContainer()
+p2pNodes = ns.NodeContainer()
 p2pNodes.Create(2)
 
-csmaNodes = ns.network.NodeContainer()
+csmaNodes = ns.NodeContainer()
 csmaNodes.Add(p2pNodes.Get(1))
 csmaNodes.Create(nCsma.value)
 
-pointToPoint = ns.point_to_point.PointToPointHelper()
-pointToPoint.SetDeviceAttribute("DataRate", ns.core.StringValue("5Mbps"))
-pointToPoint.SetChannelAttribute("Delay", ns.core.StringValue("2ms"))
+pointToPoint = ns.PointToPointHelper()
+pointToPoint.SetDeviceAttribute("DataRate", ns.StringValue("5Mbps"))
+pointToPoint.SetChannelAttribute("Delay", ns.StringValue("2ms"))
 
 p2pDevices = pointToPoint.Install(p2pNodes)
 
-csma = ns.csma.CsmaHelper()
-csma.SetChannelAttribute("DataRate", ns.core.StringValue("100Mbps"))
-csma.SetChannelAttribute("Delay", ns.core.TimeValue(ns.core.NanoSeconds(6560)))
+csma = ns.CsmaHelper()
+csma.SetChannelAttribute("DataRate", ns.StringValue("100Mbps"))
+csma.SetChannelAttribute("Delay", ns.TimeValue(ns.NanoSeconds(6560)))
 
 csmaDevices = csma.Install(csmaNodes)
 
-stack = ns.internet.InternetStackHelper()
+stack = ns.InternetStackHelper()
 stack.Install(p2pNodes.Get(0))
 stack.Install(csmaNodes)
 
-address = ns.internet.Ipv4AddressHelper()
-address.SetBase(ns.network.Ipv4Address("10.1.1.0"), ns.network.Ipv4Mask("255.255.255.0"))
+address = ns.Ipv4AddressHelper()
+address.SetBase(ns.Ipv4Address("10.1.1.0"), ns.Ipv4Mask("255.255.255.0"))
 p2pInterfaces = address.Assign(p2pDevices)
 
-address.SetBase(ns.network.Ipv4Address("10.1.2.0"), ns.network.Ipv4Mask("255.255.255.0"))
+address.SetBase(ns.Ipv4Address("10.1.2.0"), ns.Ipv4Mask("255.255.255.0"))
 csmaInterfaces = address.Assign(csmaDevices)
 
-echoServer = ns.applications.UdpEchoServerHelper(9)
+echoServer = ns.UdpEchoServerHelper(9)
 
 serverApps = echoServer.Install(csmaNodes.Get(nCsma.value))
-serverApps.Start(ns.core.Seconds(1.0))
-serverApps.Stop(ns.core.Seconds(10.0))
+serverApps.Start(ns.Seconds(1.0))
+serverApps.Stop(ns.Seconds(10.0))
 
-echoClient = ns.applications.UdpEchoClientHelper(
-    csmaInterfaces.GetAddress(nCsma.value).ConvertTo(), 9
-)
-echoClient.SetAttribute("MaxPackets", ns.core.UintegerValue(1))
-echoClient.SetAttribute("Interval", ns.core.TimeValue(ns.core.Seconds(1.0)))
-echoClient.SetAttribute("PacketSize", ns.core.UintegerValue(1024))
+echoClient = ns.UdpEchoClientHelper(csmaInterfaces.GetAddress(nCsma.value).ConvertTo(), 9)
+echoClient.SetAttribute("MaxPackets", ns.UintegerValue(1))
+echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1.0)))
+echoClient.SetAttribute("PacketSize", ns.UintegerValue(1024))
 
 clientApps = echoClient.Install(p2pNodes.Get(0))
-clientApps.Start(ns.core.Seconds(2.0))
-clientApps.Stop(ns.core.Seconds(10.0))
+clientApps.Start(ns.Seconds(2.0))
+clientApps.Stop(ns.Seconds(10.0))
 
-ns.internet.Ipv4GlobalRoutingHelper.PopulateRoutingTables()
+ns.Ipv4GlobalRoutingHelper.PopulateRoutingTables()
 
 pointToPoint.EnablePcapAll("second")
 csma.EnablePcap("second", csmaDevices.Get(1), True)
 
-ns.core.Simulator.Run()
-ns.core.Simulator.Destroy()
+ns.Simulator.Run()
+ns.Simulator.Destroy()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/tutorial/third.py ns-3.42/examples/tutorial/third.py
--- ns-3.41/examples/tutorial/third.py	2024-02-09 14:44:07.841789700 -0800
+++ ns-3.42/examples/tutorial/third.py	2024-05-29 15:29:46.912073100 -0700
@@ -59,112 +59,108 @@
     sys.exit(1)
 
 if verbose.value:
-    ns.core.LogComponentEnable("UdpEchoClientApplication", ns.core.LOG_LEVEL_INFO)
-    ns.core.LogComponentEnable("UdpEchoServerApplication", ns.core.LOG_LEVEL_INFO)
+    ns.LogComponentEnable("UdpEchoClientApplication", ns.LOG_LEVEL_INFO)
+    ns.LogComponentEnable("UdpEchoServerApplication", ns.LOG_LEVEL_INFO)
 
-p2pNodes = ns.network.NodeContainer()
+p2pNodes = ns.NodeContainer()
 p2pNodes.Create(2)
 
-pointToPoint = ns.point_to_point.PointToPointHelper()
-pointToPoint.SetDeviceAttribute("DataRate", ns.core.StringValue("5Mbps"))
-pointToPoint.SetChannelAttribute("Delay", ns.core.StringValue("2ms"))
+pointToPoint = ns.PointToPointHelper()
+pointToPoint.SetDeviceAttribute("DataRate", ns.StringValue("5Mbps"))
+pointToPoint.SetChannelAttribute("Delay", ns.StringValue("2ms"))
 
 p2pDevices = pointToPoint.Install(p2pNodes)
 
-csmaNodes = ns.network.NodeContainer()
+csmaNodes = ns.NodeContainer()
 csmaNodes.Add(p2pNodes.Get(1))
 csmaNodes.Create(nCsma.value)
 
-csma = ns.csma.CsmaHelper()
-csma.SetChannelAttribute("DataRate", ns.core.StringValue("100Mbps"))
-csma.SetChannelAttribute("Delay", ns.core.TimeValue(ns.core.NanoSeconds(6560)))
+csma = ns.CsmaHelper()
+csma.SetChannelAttribute("DataRate", ns.StringValue("100Mbps"))
+csma.SetChannelAttribute("Delay", ns.TimeValue(ns.NanoSeconds(6560)))
 
 csmaDevices = csma.Install(csmaNodes)
 
-wifiStaNodes = ns.network.NodeContainer()
+wifiStaNodes = ns.NodeContainer()
 wifiStaNodes.Create(nWifi.value)
 wifiApNode = p2pNodes.Get(0)
 
-channel = ns.wifi.YansWifiChannelHelper.Default()
-phy = ns.wifi.YansWifiPhyHelper()
+channel = ns.YansWifiChannelHelper.Default()
+phy = ns.YansWifiPhyHelper()
 phy.SetChannel(channel.Create())
 
-mac = ns.wifi.WifiMacHelper()
-ssid = ns.wifi.Ssid("ns-3-ssid")
+mac = ns.WifiMacHelper()
+ssid = ns.Ssid("ns-3-ssid")
 
-wifi = ns.wifi.WifiHelper()
+wifi = ns.WifiHelper()
 
-mac.SetType(
-    "ns3::StaWifiMac", "Ssid", ns.wifi.SsidValue(ssid), "ActiveProbing", ns.core.BooleanValue(False)
-)
+mac.SetType("ns3::StaWifiMac", "Ssid", ns.SsidValue(ssid), "ActiveProbing", ns.BooleanValue(False))
 staDevices = wifi.Install(phy, mac, wifiStaNodes)
 
-mac.SetType("ns3::ApWifiMac", "Ssid", ns.wifi.SsidValue(ssid))
+mac.SetType("ns3::ApWifiMac", "Ssid", ns.SsidValue(ssid))
 apDevices = wifi.Install(phy, mac, wifiApNode)
 
-mobility = ns.mobility.MobilityHelper()
+mobility = ns.MobilityHelper()
 mobility.SetPositionAllocator(
     "ns3::GridPositionAllocator",
     "MinX",
-    ns.core.DoubleValue(0.0),
+    ns.DoubleValue(0.0),
     "MinY",
-    ns.core.DoubleValue(0.0),
+    ns.DoubleValue(0.0),
     "DeltaX",
-    ns.core.DoubleValue(5.0),
+    ns.DoubleValue(5.0),
     "DeltaY",
-    ns.core.DoubleValue(10.0),
+    ns.DoubleValue(10.0),
     "GridWidth",
-    ns.core.UintegerValue(3),
+    ns.UintegerValue(3),
     "LayoutType",
-    ns.core.StringValue("RowFirst"),
+    ns.StringValue("RowFirst"),
 )
 
 mobility.SetMobilityModel(
     "ns3::RandomWalk2dMobilityModel",
     "Bounds",
-    ns.mobility.RectangleValue(ns.mobility.Rectangle(-50, 50, -50, 50)),
+    ns.RectangleValue(ns.Rectangle(-50, 50, -50, 50)),
 )
 mobility.Install(wifiStaNodes)
 
 mobility.SetMobilityModel("ns3::ConstantPositionMobilityModel")
 mobility.Install(wifiApNode)
 
-stack = ns.internet.InternetStackHelper()
+stack = ns.InternetStackHelper()
 stack.Install(csmaNodes)
 stack.Install(wifiApNode)
 stack.Install(wifiStaNodes)
 
-address = ns.internet.Ipv4AddressHelper()
-address.SetBase(ns.network.Ipv4Address("10.1.1.0"), ns.network.Ipv4Mask("255.255.255.0"))
+address = ns.Ipv4AddressHelper()
+address.SetBase(ns.Ipv4Address("10.1.1.0"), ns.Ipv4Mask("255.255.255.0"))
 p2pInterfaces = address.Assign(p2pDevices)
 
-address.SetBase(ns.network.Ipv4Address("10.1.2.0"), ns.network.Ipv4Mask("255.255.255.0"))
+address.SetBase(ns.Ipv4Address("10.1.2.0"), ns.Ipv4Mask("255.255.255.0"))
 csmaInterfaces = address.Assign(csmaDevices)
 
-address.SetBase(ns.network.Ipv4Address("10.1.3.0"), ns.network.Ipv4Mask("255.255.255.0"))
+address.SetBase(ns.Ipv4Address("10.1.3.0"), ns.Ipv4Mask("255.255.255.0"))
 address.Assign(staDevices)
 address.Assign(apDevices)
 
-echoServer = ns.applications.UdpEchoServerHelper(9)
+echoServer = ns.UdpEchoServerHelper(9)
 
 serverApps = echoServer.Install(csmaNodes.Get(nCsma.value))
-serverApps.Start(ns.core.Seconds(1.0))
-serverApps.Stop(ns.core.Seconds(10.0))
+serverApps.Start(ns.Seconds(1.0))
+serverApps.Stop(ns.Seconds(10.0))
 
-echoClient = ns.applications.UdpEchoClientHelper(
-    csmaInterfaces.GetAddress(nCsma.value).ConvertTo(), 9
-)
-echoClient.SetAttribute("MaxPackets", ns.core.UintegerValue(1))
-echoClient.SetAttribute("Interval", ns.core.TimeValue(ns.core.Seconds(1.0)))
-echoClient.SetAttribute("PacketSize", ns.core.UintegerValue(1024))
+echoClient = ns.UdpEchoClientHelper(csmaInterfaces.GetAddress(nCsma.value).ConvertTo(), 9)
+echoClient.SetAttribute("MaxPackets", ns.UintegerValue(1))
+echoClient.SetAttribute("Interval", ns.TimeValue(ns.Seconds(1.0)))
+echoClient.SetAttribute("PacketSize", ns.UintegerValue(1024))
 
 clientApps = echoClient.Install(wifiStaNodes.Get(nWifi.value - 1))
-clientApps.Start(ns.core.Seconds(2.0))
-clientApps.Stop(ns.core.Seconds(10.0))
+clientApps.Start(ns.Seconds(2.0))
+clientApps.Stop(ns.Seconds(10.0))
 
-ns.internet.Ipv4GlobalRoutingHelper.PopulateRoutingTables()
+ns.Ipv4GlobalRoutingHelper.PopulateRoutingTables()
 
-ns.core.Simulator.Stop(ns.core.Seconds(10.0))
+ns.Simulator.Stop(ns.Seconds(10.0))
 
 if tracing.value:
     phy.SetPcapDataLinkType(phy.DLT_IEEE802_11_RADIO)
@@ -172,5 +168,5 @@
     phy.EnablePcap("third", apDevices.Get(0))
     csma.EnablePcap("third", csmaDevices.Get(0), True)
 
-ns.core.Simulator.Run()
-ns.core.Simulator.Destroy()
+ns.Simulator.Run()
+ns.Simulator.Destroy()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/examples/tutorial/tutorial-app.cc ns-3.42/examples/tutorial/tutorial-app.cc
--- ns-3.41/examples/tutorial/tutorial-app.cc	2024-02-09 14:44:07.841789700 -0800
+++ ns-3.42/examples/tutorial/tutorial-app.cc	2024-05-29 15:29:46.912073100 -0700
@@ -76,7 +76,7 @@
 {
     m_running = false;
 
-    if (m_sendEvent.IsRunning())
+    if (m_sendEvent.IsPending())
     {
         Simulator::Cancel(m_sendEvent);
     }
